Skip to main content
PUT
/
inbounds
/
{inboundId}
Update inbound shipment
curl --request PUT \
  --url https://api.quivo.co/inbounds/{inboundId} \
  --header 'Content-Type: application/json' \
  --data '"<string>"'
{
  "sellerId": 123,
  "warehouseId": 123,
  "shipFrom": {
    "name1": "<string>",
    "name2": "<string>",
    "company": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "address3": "<string>",
    "zip": "<string>",
    "city": "<string>",
    "state": "<string>",
    "country": "<string>",
    "phone": "<string>",
    "email": "<string>"
  },
  "estimatedArrivalTime": "2023-11-07T05:31:56Z",
  "deliverySlipNumber": "<string>",
  "shopId": 123,
  "customAttributes": "{\"attr1\":\"val1\"}",
  "movementReferenceNumber": "<string>",
  "id": 123,
  "created": "2023-11-07T05:31:56Z",
  "inboundIdentifier": "<string>",
  "exportedAt": "2023-11-07T05:31:56Z",
  "completedAt": "2023-11-07T05:31:56Z",
  "cancelledAt": "2023-11-07T05:31:56Z",
  "inboundStatus": "PENDING",
  "requestId": "<string>",
  "inboundShipments": [
    {
      "inboundShipmentIdentifier": "<string>",
      "arrivedAt": "2023-11-07T05:31:56Z",
      "inboundShipmentPositions": [
        {
          "quantity": 123,
          "warehouseSku": "<string>",
          "sellerSku": "<string>",
          "lot": "<string>",
          "location": "<string>",
          "positionIdentifier": "<string>",
          "totalGrossWeight": 123,
          "barcode": "<string>",
          "storageCode": "<string>",
          "storageBlocked": true,
          "expirationDate": "2023-12-25"
        }
      ],
      "comments": "<string>",
      "reasonToAddImages": "<string>",
      "totalGrossWeight": 123,
      "inboundComments": [
        {
          "commentText": "<string>",
          "reasonToAddImages": "<string>",
          "images": [
            {
              "id": "<string>",
              "url": {
                "link": "<string>"
              }
            }
          ]
        }
      ],
      "images": [
        {
          "id": "<string>",
          "url": {
            "link": "<string>"
          }
        }
      ],
      "groupedInboundShipmentPositions": [
        {
          "warehouseSku": "<string>",
          "sellerSku": "<string>",
          "quantity": 123,
          "lot": "<string>",
          "expirationDate": "2023-11-07T05:31:56Z"
        }
      ]
    }
  ],
  "createdByLogsta": true,
  "trackingNumber": "<string>",
  "comments": "<string>",
  "deliverySlipDate": "2023-11-07T05:31:56Z",
  "externalIdentifier": "<string>",
  "tags": [
    "<string>"
  ],
  "inboundReference": "<string>",
  "carrier": "<string>",
  "trackingLink": "<string>",
  "inboundPositions": [
    {
      "quantity": 2,
      "sku": "<string>",
      "lot": "<string>",
      "location": "<string>",
      "expirationDate": "2023-12-25",
      "serialNumbers": [
        "<string>"
      ],
      "positionNumber": "<string>",
      "customAttributes": {},
      "inboundPositionId": 123,
      "warehouseSku": "<string>",
      "articleIdentifier": "<string>",
      "productIdentifier": "<string>"
    }
  ],
  "deliveryInfo": {
    "cargoType": "CARTON",
    "quantity": 2
  }
}

Path Parameters

inboundId
integer<int64>
required

The unique identifier for an inbound shipment or delivery.

Body

application/json

Complete resource data to update at /inbounds/{inboundId}

The body is of type string.

Response

Returns the updated inbound shipment with current state.

Complete inbound shipment information. Contains expected items, quantities, warehouse destination, delivery dates, and processing status.

sellerId
integer<int64>
required

Seller ID.

warehouseId
integer<int64>
required

Warehouse ID.
A list of warehouse identifiers and names can be obtained by executing GET /warehouses

shipFrom
object
required

Detailed address information

estimatedArrivalTime
string<date-time>
required

Estimated date of arrival

deliverySlipNumber
string
required

Delivery slip number

shopId
integer<int64>
required

Shop ID.

customAttributes
object

Optional custom attributes of this inbound.

Example:

"{\"attr1\":\"val1\"}"

movementReferenceNumber
string

Optional movement reference number. Unique identifier assigned to customs declarations within the UK and EU

Maximum string length: 1024
id
integer<int64>

The unique identifier for the id

created
string<date-time>

Timestamp when the item was created

inboundIdentifier
string

The unique identifier for the inboundentifier

exportedAt
string<date-time>

The exported at timestamp

completedAt
string<date-time>

The completed at timestamp

cancelledAt
string<date-time>

The cancelled at timestamp

inboundStatus
enum<string>

The current status of the inbound

Available options:
PENDING,
CREATED,
PROCESSING,
COMPLETED,
CANCELLED
requestId
string

The unique identifier for the request

inboundShipments
object[]

Shipment identifier or information

createdByLogsta
boolean

Timestamp when the item was created

trackingNumber
string

Tracking information or tracking enabled status

comments
string

Comment or notes

deliverySlipDate
string<date-time>

The delivery slip date date

externalIdentifier
string

The unique identifier for the externalentifier

tags
string[]

Tags or labels

inboundReference
string

Reference number or identifier for the inbound

carrier
string

Carrier identifier or information

Tracking information or tracking enabled status

inboundPositions
object[]

Array of inbound position

deliveryInfo
object

Detailed information for inbounddeliveryinfo